package com.example.blum.imageviewdemo;


import android.content.Context;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.Spinner;
import android.widget.TextView;
import android.widget.Toast;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        final Spinner spDog = (Spinner) findViewById(R.id.spDog);
        ArrayAdapter aaDog = ArrayAdapter.createFromResource(this, R.array.dogs,android.R.layout.simple_spinner_item);
        spDog.setAdapter(aaDog);

        final ImageView ivDog = (ImageView) findViewById(R.id.ivDog) ;

        spDog.setOnItemSelectedListener(new AdapterView.OnItemSelectedListener() {
            @Override
            public void onItemSelected(AdapterView<?> adapterView, View view, int i, long l) {
                TextView tvUserItem = (TextView) view;
                Toast.makeText(getApplicationContext(), "You chose "+tvUserItem.getText().toString() , Toast.LENGTH_SHORT).show();
                /*switch(tvUserItem.getText().toString()){
                    case "Bulldog":
                        ivDog.setImageResource(R.drawable.bulldog);
                        break;
                    case "Lhasa Apso":
                        ivDog.setImageResource(R.drawable.lhasa_apso);
                        break;
                    case "Bloodhound":
                        ivDog.setImageResource(R.drawable.bloodhound);
                        break;
                    case "Boxer":
                        ivDog.setImageResource(R.drawable.boxer);
                        break;
                    case "Alaskan Malamute":
                        ivDog.setImageResource(R.drawable.alaskan_malamute);
                        break;
                    case "Australian Cattle Dog":
                        ivDog.setImageResource(R.drawable.australian_cattle_dog);
                        break;
                    case "Old English Sheepdog":
                        ivDog.setImageResource(R.drawable.old_english_sheepdog);
                        break;
                    case "Dachshund":
                        ivDog.setImageResource(R.drawable.dachshund);
                        break;
                    case "Beagle":
                        ivDog.setImageResource(R.drawable.beagle);
                        break;
                    case "Border Collie":
                        ivDog.setImageResource(R.drawable.border_collie);
                        break;
                }
                */

                String drawable_resource_name = tvUserItem.getText().toString();
                drawable_resource_name = drawable_resource_name.toLowerCase();
                drawable_resource_name = drawable_resource_name.replace(' ','_');

                Context context = ivDog.getContext();
                int id = context.getResources().getIdentifier(drawable_resource_name, "drawable",
                        context.getPackageName());
                ivDog.setImageResource(id);
            }

            @Override
            public void onNothingSelected(AdapterView<?> adapterView) {

            }
        });

    }
}
